Bug 869157 - Review Request: mate-utils - MATE utility programs
Review Request: mate-utils - MATE utility programs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 03:27 EDT by leigh scott
Modified: 2012-11-23 03:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 03:10:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2012-10-23 03:27:09 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-utils/1/mate-utils.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-utils/1/mate-utils-1.4.0-1.fc17.src.rpm

Description: The mate-utils package contains a set of small "desk accessory" utility
applications for MATE, such as a dictionary, a disk usage analyzer,
a screenshot tool and others.

Fedora Account System Username: leigh123linux
Comment 1 Dan Mashal 2012-11-03 22:12:57 EDT
Please add popt-devel to the BR
Comment 2 Dan Mashal 2012-11-03 22:14:30 EDT
gcc -DHAVE_CONFIG_H -I. -I../.. -DPREFIX="/usr" -DSYSCONFDIR="/etc" -DLIBDIR="/usr/lib64" -DDATADIR="/usr/share" -DUIDATADIR="/usr/share/mate-2.0/ui" -DPKGDATADIR="/usr/share/mate-dictionary" -DMATELOCALEDIR="/usr/share/locale" -I../../mate-dictionary -I../../mate-dictionary -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -DMATECORBA2=1 -pthread -D_REENTRANT -I/usr/include/panel-2.0 -I/usr/include/mateconf/2 -I/usr/include/gtk-2.0 -I/usr/include/libmatecomponentui-2.0 -I/usr/include/matecorba-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -I/usr/include/libxml2 -I/usr/include/libmatecomponent-2.0 -I/usr/include/libmatecanvas-2.0 -I/usr/include/libmate-2.0 -I/usr/include/matecomponent-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/mate-vfs-2.0 -I/usr/lib64/mate-vfs-2.0/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -c -o mate_dictionary_applet-gdict-print.o gdict-print.c
In file included from /usr/include/matecomponent-activation-2.0/matecomponent-activation/matecomponent-activation.h:43:0,
                 from /usr/include/libmatecomponent-2.0/matecomponent/matecomponent-object.h:14,
                 from /usr/include/libmatecomponentui-2.0/matecomponent/matecomponent-control.h:20,
                 from /usr/include/panel-2.0/mate-panel-applet.h:30,
                 from gdict-applet.h:24,
                 from gdict-applet.c:34:
/usr/include/matecomponent-activation-2.0/matecomponent-activation/matecomponent-activation-init.h:29:18: fatal error: popt.h: No such file or directory
compilation terminated.
gcc -DHAVE_CONFIG_H -I. -I../.. -DPREFIX="/usr" -DSYSCONFDIR="/etc" -DLIBDIR="/usr/lib64" -DDATADIR="/usr/share" -DUIDATADIR="/usr/share/mate-2.0/ui" -DPKGDATADIR="/usr/share/mate-dictionary" -DMATELOCALEDIR="/usr/share/locale" -I../../mate-dictionary -I../../mate-dictionary -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -DMATECORBA2=1 -pthread -D_REENTRANT -I/usr/include/panel-2.0 -I/usr/include/mateconf/2 -I/usr/include/gtk-2.0 -I/usr/include/libmatecomponentui-2.0 -I/usr/include/matecorba-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -I/usr/include/libxml2 -I/usr/include/libmatecomponent-2.0 -I/usr/include/libmatecanvas-2.0 -I/usr/include/libmate-2.0 -I/usr/include/matecomponent-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/mate-vfs-2.0 -I/usr/lib64/mate-vfs-2.0/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -c -o mate_dictionary_applet-gdict-sidebar.o gdict-sidebar.c
gcc -DHAVE_CONFIG_H -I. -I../.. -DPREFIX="/usr" -DSYSCONFDIR="/etc" -DLIBDIR="/usr/lib64" -DDATADIR="/usr/share" -DUIDATADIR="/usr/share/mate-2.0/ui" -DPKGDATADIR="/usr/share/mate-dictionary" -DMATELOCALEDIR="/usr/share/locale" -I../../mate-dictionary -I../../mate-dictionary -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -DMATECORBA2=1 -pthread -D_REENTRANT -I/usr/include/panel-2.0 -I/usr/include/mateconf/2 -I/usr/include/gtk-2.0 -I/usr/include/libmatecomponentui-2.0 -I/usr/include/matecorba-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -I/usr/include/libxml2 -I/usr/include/libmatecomponent-2.0 -I/usr/include/libmatecanvas-2.0 -I/usr/include/libmate-2.0 -I/usr/include/matecomponent-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/mate-vfs-2.0 -I/usr/lib64/mate-vfs-2.0/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -c -o mate_dictionary_applet-gdict-source-dialog.o gdict-source-dialog.c
/bin/sh ../../libtool --tag=CC --mode=link /bin/sh /builddir/build/BUILD/mate-utils-1.4.0/m4/shave cc gcc -I../../mate-dictionary -I../../mate-dictionary -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -Wl,-z,relro -o mate-dictionary mate_dictionary-gdict-about.o mate_dictionary-gdict-app.o mate_dictionary-gdict-common.o mate_dictionary-gdict-pref-dialog.o mate_dictionary-gdict-print.o mate_dictionary-gdict-sidebar.o mate_dictionary-gdict-source-dialog.o mate_dictionary-gdict-window.o mate_dictionary-main.o -lm ../../mate-dictionary/libgdict/libmatedict.la -lmateconf-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 --shave-mode=link
libtool: link: /bin/sh /builddir/build/BUILD/mate-utils-1.4.0/m4/shave cc gcc -I../../mate-dictionary -I../../mate-dictionary -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -Wl,-z -Wl,relro -o .libs/mate-dictionary mate_dictionary-gdict-about.o mate_dictionary-gdict-app.o mate_dictionary-gdict-common.o mate_dictionary-gdict-pref-dialog.o mate_dictionary-gdict-print.o mate_dictionary-gdict-sidebar.o mate_dictionary-gdict-source-dialog.o mate_dictionary-gdict-window.o mate_dictionary-main.o --shave-mode=link  -lm ../../mate-dictionary/libgdict/.libs/libmatedict.so -lmateconf-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -pthread
gcc -I../../mate-dictionary -I../../mate-dictionary -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -Wl,-z -Wl,relro -o .libs/mate-dictionary mate_dictionary-gdict-about.o mate_dictionary-gdict-app.o mate_dictionary-gdict-common.o mate_dictionary-gdict-pref-dialog.o mate_dictionary-gdict-print.o mate_dictionary-gdict-sidebar.o mate_dictionary-gdict-source-dialog.o mate_dictionary-gdict-window.o mate_dictionary-main.o -lm ../../mate-dictionary/libgdict/.libs/libmatedict.so -lmateconf-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -pthread
make[3]: *** [mate_dictionary_applet-gdict-applet.o] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.mbNjVe (%build)
    Bad exit status from /var/tmp/rpm-tmp.mbNjVe (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/mate-utils.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/mate-utils.spec']
LEAVE do --> EXCEPTION RAISED
Comment 3 leigh scott 2012-11-04 04:32:13 EST
Note srpm doesn't build on F19 due to declared BR version

BuildRequires:  pkgconfig(libmatepanelapplet-2.0)



Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-utils/2/mate-utils.spec


SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-utils/2/mate-utils-1.4.0-2.fc17.src.rpm
Comment 4 Dan Mashal 2012-11-04 04:48:43 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     mate-system-log, %package devel
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "GPL (v3 or later)", "Unknown or generated", "LGPL (v2 or later) (with
     incorrect FSF address)", "GPL (v2 or later) (with incorrect FSF
     address)". 6 files have unknown license. Detailed output of licensecheck
     in /home/dan/869157-mate-utils/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 174080 bytes in 5 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 13772800 bytes in /usr/share 102400
     mate-utils-mate-system-log-1.4.0-2.fc18.x86_64.rpm 13670400 mate-
     utils-1.4.0-2.fc18.x86_64.rpm


Rpmlint
-------
Checking: mate-utils-devel-1.4.0-2.fc18.x86_64.rpm
          mate-utils-debuginfo-1.4.0-2.fc18.x86_64.rpm
          mate-utils-1.4.0-2.fc18.src.rpm
          mate-utils-mate-system-log-1.4.0-2.fc18.x86_64.rpm
          mate-utils-1.4.0-2.fc18.x86_64.rpm
mate-utils-devel.x86_64: W: no-documentation
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-applet.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-prefs.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-prefs.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/libmateui-deprecated/gsearchtool-entry.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/baobab/src/baobab-remote-connect-dialog.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-support.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/baobab/src/baobab-remote-connect-dialog.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/libmateui-deprecated/gsearchtool-entry.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-support.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-source-dialog.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-source-dialog.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-print.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-window.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-common.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-aligned-window.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-print.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-aligned-window.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/libeggsmclient/eggdesktopfile.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-loglist.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-main.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-pref-dialog.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-pref-dialog.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-about.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-about.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-window.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-loglist.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-callbacks.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-callbacks.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-app.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-app.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-window.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-screenshot/mate-screenshot.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-app.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-app.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-common.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-findbar.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-findbar.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-window.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/libeggsmclient/eggdesktopfile.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-applet.c
mate-utils.src: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
mate-utils-mate-system-log.x86_64: W: non-conffile-in-etc /etc/pam.d/mate-system-log
mate-utils-mate-system-log.x86_64: W: non-conffile-in-etc /etc/security/console.apps/mate-system-log
mate-utils-mate-system-log.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-utils-mate-system-log-1.4.0/COPYING
mate-utils-mate-system-log.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-system-log.schemas
mate-utils-mate-system-log.x86_64: W: dangerous-command-in-%pre rm
mate-utils-mate-system-log.x86_64: W: dangerous-command-in-%post rm
mate-utils.x86_64: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
mate-utils.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-utils-1.4.0/COPYING
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-screenshot.schemas
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/baobab.schemas
mate-utils.x86_64: W: manual-page-warning /usr/share/man/man1/mate-screenshot.1.gz 1: warning: macro `\"' not defined
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-search-tool.schemas
mate-utils.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-utils-1.4.0/README
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-dictionary.schemas
mate-utils.x86_64: W: no-manual-page-for-binary mate-panel-screenshot
mate-utils.x86_64: W: dangerous-command-in-%pre rm
mate-utils.x86_64: W: dangerous-command-in-%post rm
5 packages and 0 specfiles checked; 45 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-utils-mate-system-log mate-utils-devel mate-utils-debuginfo mate-uti 
ls
mate-utils-mate-system-log.x86_64: W: non-conffile-in-etc /etc/pam.d/mate-system-log
mate-utils-mate-system-log.x86_64: W: non-conffile-in-etc /etc/security/console.apps/mate-system-log
mate-utils-mate-system-log.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-utils-mate-system-log-1.4.0/COPYING
mate-utils-mate-system-log.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-system-log.schemas
mate-utils-mate-system-log.x86_64: W: dangerous-command-in-%pre rm
mate-utils-mate-system-log.x86_64: W: dangerous-command-in-%post rm
mate-utils-devel.x86_64: W: no-documentation
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-applet.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-prefs.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-prefs.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/libmateui-deprecated/gsearchtool-entry.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/baobab/src/baobab-remote-connect-dialog.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-support.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/baobab/src/baobab-remote-connect-dialog.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/libmateui-deprecated/gsearchtool-entry.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-support.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-source-dialog.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-source-dialog.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-print.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-window.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-common.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-aligned-window.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-print.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-aligned-window.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/libeggsmclient/eggdesktopfile.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-loglist.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-main.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-pref-dialog.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-pref-dialog.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-about.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-about.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-window.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-loglist.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-callbacks.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/gsearchtool/gsearchtool-callbacks.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-app.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-app.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-window.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-screenshot/mate-screenshot.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-app.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-app.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-common.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-findbar.h
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-findbar.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/logview/logview-window.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/libeggsmclient/eggdesktopfile.c
mate-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-utils-1.4.0/mate-dictionary/src/gdict-applet.c
mate-utils.x86_64: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
mate-utils.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-utils-1.4.0/COPYING
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-screenshot.schemas
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/baobab.schemas
mate-utils.x86_64: W: manual-page-warning /usr/share/man/man1/mate-screenshot.1.gz 1: warning: macro `\"' not defined
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-search-tool.schemas
mate-utils.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-utils-1.4.0/README
mate-utils.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-dictionary.schemas
mate-utils.x86_64: W: no-manual-page-for-binary mate-panel-screenshot
mate-utils.x86_64: W: dangerous-command-in-%pre rm
mate-utils.x86_64: W: dangerous-command-in-%post rm
4 packages and 0 specfiles checked; 45 errors, 15 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-utils-devel-1.4.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    libmatedict.so.6()(64bit)
    mate-utils(x86-64) = 1.4.0-2.fc18
    pkgconfig(gtk+-2.0)

mate-utils-debuginfo-1.4.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-utils-mate-system-log-1.4.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmateconf-2.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    usermode

mate-utils-1.4.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libICE.so.6()(64bit)
    libMateCORBA-2.so.0()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libart_lgpl_2.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtop-2.0.so.7()(64bit)
    libm.so.6()(64bit)
    libmate-2.so.0()(64bit)
    libmate-panel-applet-2.so.1()(64bit)
    libmatecanvas-2.so.0()(64bit)
    libmatecomponent-2.so.0()(64bit)
    libmatecomponent-activation.so.4()(64bit)
    libmatecomponentui-2.so.0()(64bit)
    libmateconf-2.so.4()(64bit)
    libmatedict.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpopt.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    mate-conf
    rtld(GNU_HASH)



Provides
--------
mate-utils-devel-1.4.0-2.fc18.x86_64.rpm:
    
    mate-utils-devel = 1.4.0-2.fc18
    mate-utils-devel(x86-64) = 1.4.0-2.fc18
    pkgconfig(mate-dict) = 1.1.0

mate-utils-debuginfo-1.4.0-2.fc18.x86_64.rpm:
    
    mate-utils-debuginfo = 1.4.0-2.fc18
    mate-utils-debuginfo(x86-64) = 1.4.0-2.fc18

mate-utils-mate-system-log-1.4.0-2.fc18.x86_64.rpm:
    
    mate-utils-mate-system-log = 1.4.0-2.fc18
    mate-utils-mate-system-log(x86-64) = 1.4.0-2.fc18

mate-utils-1.4.0-2.fc18.x86_64.rpm:
    
    libmatedict.so.6()(64bit)
    mate-utils = 1.4.0-2.fc18
    mate-utils(x86-64) = 1.4.0-2.fc18



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-utils-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 49ec02682b8146bb96cf30c61a7d4e7c7630d22bcfe8fbeb8a7c20fd6bec5591
  CHECKSUM(SHA256) upstream package : 49ec02682b8146bb96cf30c61a7d4e7c7630d22bcfe8fbeb8a7c20fd6bec5591
Comment 5 Dan Mashal 2012-11-04 04:50:19 EST
APPROVED.

Please do the following 2 things before import:

1) Do whatever needs to be done for a successful rawhide build.

2) Address:


[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 13772800 bytes in /usr/share 102400
     mate-utils-mate-system-log-1.4.0-2.fc18.x86_64.rpm 13670400 mate-
     utils-1.4.0-2.fc18.x86_64.rpm

Thanks,
Dan
Comment 6 leigh scott 2012-11-04 05:16:13 EST
New Package SCM Request
=======================
Package Name: mate-utils
Short Description: MATE utility programs
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 7 Gwyn Ciesla 2012-11-05 08:05:19 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-11-05 09:43:27 EST
mate-utils-1.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-utils-1.4.0-3.fc18
Comment 9 Fedora Update System 2012-11-05 09:43:40 EST
mate-utils-1.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-utils-1.4.0-3.fc17
Comment 10 Fedora Update System 2012-11-05 17:44:12 EST
mate-utils-1.4.0-3.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.